> For the complete documentation index, see [llms.txt](https://developers.socialboards.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.socialboards.com/docs/apis/tickets/reference/endpoints/update-ticket-custom-field-value.md).

# Update Ticket Custom Field Value

{% hint style="warning" %}
All API requests should contain [authorization headers](/docs/apis/tickets/authorization-headers.md).
{% endhint %}

#### Request

```
PATCH /tickets/{ticketId}/customFields
```

#### Query Parameters

<table><thead><tr><th>Name</th><th width="100">Type</th><th width="100">Required</th><th>Comments</th></tr></thead><tbody><tr><td>ticketId</td><td>integer</td><td>yes</td><td>Id of ticket you want to update</td></tr></tbody></table>

**Request Body**

```json
[
    {
        "customFieldId": 95475,
        "value": "some text"
    },
    {
        "customFieldId": 96340,
        "value": "+74216231562"
    }
]
```

Body of request should contain array of [Custom Field value](/docs/apis/tickets/reference/objects/custom-field-value.md) objects.

#### Response

```json
{
  "data": {},
  "errorCode": -1,
  "errorText": null
}
```
